Scrape Creators Documentation
IntroductionInstagram
Facebook
Reddit
Google




TikTok
GETProfile
GETProfile Region
GETUser's Audience Demographics
GETCollection Videos
GETProfile Videos
GETVideo Info
GETTranscript
GETLive
GETLive Info
GETComments
GETComment Replies
GETFollowing
GETFollowers
GETSearch Users
GETSearch Suggestions
GETSearch by Hashtag
GETSearch by Keyword
GETTop Search
GETGet popular creators
GETGet Song Details
GETTikToks using Song
GETTrending Feed
GETProfile
GETBasic Profile
GETPosts
GETUser Tagged Posts
GETReels
GETPost/Reel Info
GETTranscript
GETSearch Instagram
GETPopular Search
GETSearch Hashtag Posts
GETSearch Instagram Profiles
GETSearch Reels
GETGet Reels By Audio Id
GETTrending Reels
GETComments
GETComment Replies
GETStory Highlights
GETHighlights Details
GETEmbed HTML
YouTube
GETChannel Details
GETChannel Videos
GETChannel Playlists
GETChannel Lives
GETChannel Community Posts
GETChannel Shorts
GETVideo/Short Details
GETTranscript
GETVideo Sponsors
GETSearch
GETSearch by Hashtag
GETComments
GETComment Replies
GETTrending Shorts
GETPlaylist
GETCommunity Post Details
GETProfile
GETProfile Reels
GETProfile Photos
GETProfile Posts
GETProfile Events
GETPost
GETTranscript
GETComments
GETComment Replies
GETFacebook Group Info
GETFacebook Group Posts
GitHub
GETUser
GETRepositories
GETPull Requests
GETActivity
GETFollowers
GETFollowing
GETContributions
GETRepository
GETTrending Repositories
GETTrending Developers
Facebook Ad Library
GETAd Details
GETAd Transcript
GETSearch
POSTSearch
GETCompany Ads
POSTCompany Ads
GETSearch for Companies
GETSubreddit Details
GETSubreddit Posts
GETSubreddit Search
GETPost Comments
POSTPost Comments
GETPost Transcript
GETSearch
GETSearch
Kick
GETClip
Linktree
GETLinktree page
Komi
GETKomi page
Pillar
GETPillar page
Linkbio
GETLinkbio page
Amazon Shop
GETAmazon Shop page
Age and Gender
GETGet Age and Gender
Linkme
GETProfile
API Documentation
TikTok
- GETProfile
- GETProfile Region
- GETUser's Audience Demographics
- GETCollection Videos
- GETProfile Videos
- GETVideo Info
- GETTranscript
- GETLive
- GETLive Info
- GETComments
- GETComment Replies
- GETFollowing
- GETFollowers
- GETSearch Users
- GETSearch Suggestions
- GETSearch by Hashtag
- GETSearch by Keyword
- GETTop Search
- GETGet popular creators
- GETGet Song Details
- GETTikToks using Song
- GETTrending Feed
- GETProfile
- GETBasic Profile
- GETPosts
- GETUser Tagged Posts
- GETReels
- GETPost/Reel Info
- GETTranscript
- GETSearch Instagram
- GETPopular Search
- GETSearch Hashtag Posts
- GETSearch Instagram Profiles
- GETSearch Reels
- GETGet Reels By Audio Id
- GETTrending Reels
- GETComments
- GETComment Replies
- GETStory Highlights
- GETHighlights Details
- GETEmbed HTML
YouTube
GitHub
Facebook Marketplace
Facebook Events
Facebook Ad Library
TikTok Ad Library
Google Ad Library
LinkedIn Ad Library
Truth Social
Bluesky
SoundCloud
Kick
Linktree
Komi
Pillar
Linkbio
Amazon Shop
Age and Gender
Linkme
Instagram User Tagged Posts API
Get public Instagram posts that a user is tagged in.
1 creditper request
GET
/v1/instagram/user/tagged-posts
Copy
curl "https://api.scrapecreators.com/v1/instagram/user/tagged-posts" \
-H "x-api-key: " Copy
{
"success": true,
"credits_remaining": 999,
"credits_charged": 1,
"posts": [
{
"pk": "3953402310668919030",
"code": "DbdTnSdoSD2",
"media_type": 1,
"caption": {
"pk": "18139631029604360",
"text": "You get the best of both worlds ig"
},
"comment_count": 0,
"like_count": 3,
"view_count": null,
"user": {
"pk": "13320148665",
"id": "13320148665",
"username": "oceanecosplay"
},
"url": "https://www.instagram.com/p/DbdTnSdoSD2/"
}
],
"cursor": "3953374600788032611",
"has_more": true
}Headers
x-api-key
string
Your Scrape Creators API key
Query Parameters
user_id
string
Numeric Instagram user ID.
Example:
325734299cursor
string
Cursor returned by the previous response.
Example:
3953374600788032611Copy
curl "https://api.scrapecreators.com/v1/instagram/user/tagged-posts" \
-H "x-api-key: " Copy
{
"success": true,
"credits_remaining": 999,
"credits_charged": 1,
"posts": [
{
"pk": "3953402310668919030",
"code": "DbdTnSdoSD2",
"media_type": 1,
"caption": {
"pk": "18139631029604360",
"text": "You get the best of both worlds ig"
},
"comment_count": 0,
"like_count": 3,
"view_count": null,
"user": {
"pk": "13320148665",
"id": "13320148665",
"username": "oceanecosplay"
},
"url": "https://www.instagram.com/p/DbdTnSdoSD2/"
}
],
"cursor": "3953374600788032611",
"has_more": true
}